i2o_block_init
Prev | I2O message devices | Next

## Name

i2o_block_init — Block OSM initialization function

## Synopsis

`int __init i2o_block_init (` |  | void`)`;

## Arguments

`void`

  no arguments

## Description

Allocate the slab and mempool for request structs, registers i2o_block block device and finally register the Block OSM in the I2O core.

Returns 0 on success or negative error code on failure.

Prev | Up | Next
i2o_block_probe | Home | i2o_block_exit